@echo off
echo.
echo Playlist Creator, Version 1.01
echo Original idea by James Yang
echo.

if "%1%" =="/?" goto instruct

echo Creating a file "playlist.lst" containing the names of all
echo MPEG Layer III files in the directory %1
cd %1
if exist playlist.lst del playlist.lst 


if "%2%" == "" goto latest_first
echo.
echo Sort options: %2
dir /B %2 *.mp3 >> playlist.lst
goto done

:latest_first
echo.
echo Sort options: /O-D
dir /B /O-D *.mp3 >> playlist.lst

:done
echo.
echo Done!

goto end

:instruct
echo FUNCTION: Creates a list of all files with the extension MP3 in the
echo           mpeg_directory. The output file is named "playlist.lst" and
echo           is placed in the same directory.
echo.
echo    USAGE: makelist mpeg_directory sort_option
echo.
echo           If mpeg_directory is not specified, the current directory is
echo           used. If sort options are not specified, the list is sorted
echo           by date, latest first. For a listing of sort options, type
echo           "dir /?"    

:end
echo.

